package cn.iselab.mooctest.user.configure;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Description: 作用描述
 * @Author: xuexb
 * @CreateDate: 18-12-25$ 下午9:42$
 */
@ConfigurationProperties(prefix = "mail")
@Component
public class MailProperties {

    private String host;

    private String username;

    private String password;

    private String default_encoding;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDefault_encoding() {
        return default_encoding;
    }

    public void setDefault_encoding(String default_encoding) {
        this.default_encoding = default_encoding;
    }

    @Override
    public String toString() {
        return "EboxEmailProperties{" +
                "host='" + host + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", default-encoding='" + default_encoding + '\'' +
                '}';
    }
}
